Sign in with
Sign up | Sign in
Your question
Closed

Ati Mobility Radeon X1800 driver problem

Last response: in Graphics & Displays
Share
May 1, 2010 8:47:53 PM

I have the ATI Mobility Radeon X1800 graphics card and i can't seem to install new drivers.
I had old drivers (from 2006) and when I tried to install a new it gave me an error message saying that the driver wasn't compatible with my hardware or OS even though I checked that the driver was for my graphics card and OS.
Eventually I tried uninstalled my old drivers in case they were messing up installing the new ones, but it didn't help.

Does anyone know how to fix this or have a similar problem.

Thanks in advance.
May 2, 2010 1:24:43 PM

Some progress has been made now, I've managed to install ATI Mobility Catalyst 8.5 driver, but when I'm trying to install any newer versions it gives me an error message saying:

"Setup did not find a driver compatible with your current hardware or operating system. Setup will now exit."

But when i installed the drivers for the same OS and hardware, but an earlier version (8.5) it worked without problems.

Please help

Thanks in advance
a c 130 U Graphics card
May 2, 2010 2:59:26 PM

Thats because newer drivers are indeed not compatable with your chipset. ATI removed anything before the 2xxx series to legacy support at around 9.2 i thing it was. They still link you to newer drivers whan you go through the selection process on the web site which is very bad in my view.
When you try to get legacy drivers it asks you to log in but dosent give you a link if you are not a member of whatever it is you need to be one of which is also bad.

Mactronix :) 
Related resources
May 2, 2010 3:04:46 PM

Thanks

The thing is that at the ATI website it says that I should be able to get the 9.3 version for my chipset and the later versions are not compatible with my chipset, but i'm stuck at the 8.5 version.
a b U Graphics card
May 2, 2010 3:06:00 PM

when AMD bought ATI they nuked all of the old drivers, for the mobilities you have 2 options

1) go to the laptop vendors site and get the drivers (to see if there are newer ones)
2) download the desktop ones and mod the .inf to add the mobility (last driver is 9.2 or 9.3)
May 2, 2010 9:50:23 PM

Ok, thanks.

I checked the laptop vendor (fujitsu siemens) but they only have really old ones there (6.9 from 2006).

Could you tell me how to mod the .inf file from the desktop drivers? Do I have to mod the file in the temporary folder when i run the .exe, because I can't install the normal drivers (tells me that it is the wrong hardware).

Thanks in advance.
a b U Graphics card
May 2, 2010 11:19:36 PM

well depending on the system, after the driver unpacks you need to mod one file

32bit: C:\ATI\Support\10-02_legacy_vista32-64_dd_ccc\Packages\Drivers\Display\LH_INF\CL_95951.inf

64bit: C:\ATI\Support\10-02_legacy_vista32-64_dd_ccc\Packages\Drivers\Display\LH6A_INF\CL_95951.inf


then you need to find the part with all of the device entries (look like this: "Radeon X1800 Series" = ati2mtag_R520, PCI\VEN_1002&DEV_7100)

then add
"Radeon X1800 Mobility Series" = ati2mtag_R520, PCI\VEN_1002&DEV_7100
then look up the video card under conteol panel->administrative tools->computer management->Device Manager->display adapters
right click on the display adapter (the video card should be the only one) go to properties
detail tab, change the drop down box from device description to Compatible Id's
find the line that looks like this "PCI\VEN_1002&DEV_XXXX" where XXXX is a number
change the new line number after DEV_ to the one found("Radeon X1800 Mobility Series" = ati2mtag_R520, PCI\VEN_1002&DEV_7100)
(ie change the 7100 to the number found)
a b \ Driver
a c 271 U Graphics card
September 28, 2010 7:14:34 AM

@ patuljak, Start a new thread, this one has been dead for nearly six months.

!